Toggle menu
7
27
38
5.2K
Sanarchive
Toggle preferences menu
Toggle personal menu
Not logged in
Your IP address will be publicly visible if you make any edits.

Template:Main Page/styles.css: Difference between revisions

Template page
[checked revision][checked revision]
No edit summary
No edit summary
Line 120: Line 120:
}
}


/* normal screen mode colors */
@media screen {
@media screen {
#mp-topbanner {
#mp-topbanner {
background-color: #f9f9f9;
background-color: #f9f9f9;
border-color: #aaa;
border-color: #ddd;
}
}
#mp-banner {
#mp-banner {
background-color: #fffaf5;
background-color: #fffaf5;
border-color: #aaa;
border-color: #f2e0ce;
}
}
#mp-left {
#mp-left {
background-color: #e7033f; /* kırmızı */
background-color: #f5fffa;
border-color: #e7033f;
border-color: #cef2e0;
}
}
#mp-left .mp-h2 {
#mp-left .mp-h2 {
background-color: #e7033f;
background-color: #e7033f; /* kırmızı başlık */
border-color: #e7033f;
border-color: #e7033f;
}
}
#mp-right {
#mp-right {
background-color: #082849; /* mavi */
background-color: #f5faff;
border-color: #082849;
border-color: #cedff2;
}
}
#mp-right .mp-h2 {
#mp-right .mp-h2 {
background-color: #082849;
background-color: #082849; /* mavi başlık */
border-color: #082849;
border-color: #082849;
}
}
#mp-middle {
#mp-middle {
background-color: #0b1e1c; /* yeşil */
background-color: #fff5fa;
border-color: #0b1e1c;
border-color: #f2cedd;
}
}
#mp-middle .mp-h2 {
#mp-middle .mp-h2 {
background-color: #0b1e1c;
background-color: #0b1e1c; /* yeşil başlık */
border-color: #0b1e1c;
border-color: #0b1e1c;
}
}
#mp-lower {
#mp-lower {
background-color: #e7033f; /* kırmızı */
background-color: #faf5ff;
border-color: #e7033f;
border-color: #ddcef2;
}
}
#mp-lower .mp-h2 {
#mp-lower .mp-h2 {
background-color: #e7033f;
background-color: #e7033f; /* kırmızı başlık */
border-color: #e7033f;
border-color: #e7033f;
}
}
#mp-bottom {
#mp-bottom {
border-color: #082849; /* mavi */
border-color: #e2e2e2;
}
}
#mp-bottom .mp-h2 {
#mp-bottom .mp-h2 {
background-color: #0b1e1c; /* yeşil */
background-color: #0b1e1c; /* yeşil başlık */
border-color: #0b1e1c;
border-color: #0b1e1c;
}
}
}


/* night mode */
/* night mode */
html.skin-theme-clientpref-night #mp-left {
html.skin-theme-clientpref-night #mp-topbanner {
background-color: #e7033f;
background-color: #171a1d;
border-color: #e7033f;
border-color: #676767;
}
}
html.skin-theme-clientpref-night #mp-left .mp-h2 {
background-color: #e7033f;
html.skin-theme-clientpref-night #mp-banner {
border-color: #e7033f;
background-color: #331a00;
}
border-color: #663428;
html.skin-theme-clientpref-night #mp-right {
}
background-color: #082849;
border-color: #082849;
html.skin-theme-clientpref-night #mp-left {
}
background-color: #0b1e1c;
html.skin-theme-clientpref-night #mp-right .mp-h2 {
border-color: #104437;
background-color: #082849;
}
border-color: #082849;
}
html.skin-theme-clientpref-night #mp-left .mp-h2 {
html.skin-theme-clientpref-night #mp-middle {
background-color: #e7033f; /* kırmızı başlık */
background-color: #0b1e1c;
border-color: #e7033f;
border-color: #0b1e1c;
}
}
html.skin-theme-clientpref-night #mp-middle .mp-h2 {
html.skin-theme-clientpref-night #mp-right {
background-color: #0b1e1c;
background-color: #0d1a27;
border-color: #0b1e1c;
border-color: #082849;
}
}
html.skin-theme-clientpref-night #mp-lower {
background-color: #e7033f;
html.skin-theme-clientpref-night #mp-right .mp-h2 {
border-color: #e7033f;
background-color: #082849; /* mavi başlık */
}
border-color: #082849;
html.skin-theme-clientpref-night #mp-lower .mp-h2 {
}
background-color: #e7033f;
border-color: #e7033f;
html.skin-theme-clientpref-night #mp-middle {
}
background-color: #270e1a;
html.skin-theme-clientpref-night #mp-bottom .mp-h2 {
border-color: #882c43;
background-color: #0b1e1c;
}
border-color: #0b1e1c;
html.skin-theme-clientpref-night #mp-middle .mp-h2 {
background-color: #0b1e1c; /* yeşil başlık */
border-color: #0b1e1c;
}
html.skin-theme-clientpref-night #mp-lower {
background-color: #130e20;
border-color: #7545ab;
}
html.skin-theme-clientpref-night #mp-lower .mp-h2 {
background-color: #e7033f; /* kırmızı başlık */
border-color: #e7033f;
}
html.skin-theme-clientpref-night #mp-bottom {
border-color: #676767;
}
html.skin-theme-clientpref-night #mp-bottom .mp-h2 {
background-color: #0b1e1c; /* yeşil başlık */
border-color: #0b1e1c;
}
}
}


/* OS night mode */
/* OS night mode */
html.skin-theme-clientpref-os #mp-left {
@media screen and (prefers-color-scheme: dark) {
background-color: #e7033f;
html.skin-theme-clientpref-os #mp-topbanner {
border-color: #e7033f;
background-color: #171a1d;
}
border-color: #676767;
html.skin-theme-clientpref-os #mp-left .mp-h2 {
}
background-color: #e7033f;
border-color: #e7033f;
html.skin-theme-clientpref-os #mp-banner {
}
background-color: #331a00;
html.skin-theme-clientpref-os #mp-right {
border-color: #663428;
background-color: #082849;
}
border-color: #082849;
}
html.skin-theme-clientpref-os #mp-left {
html.skin-theme-clientpref-os #mp-right .mp-h2 {
background-color: #0b1e1c;
background-color: #082849;
border-color: #104437;
border-color: #082849;
}
}
html.skin-theme-clientpref-os #mp-middle {
html.skin-theme-clientpref-os #mp-left .mp-h2 {
background-color: #0b1e1c;
background-color: #e7033f; /* kırmızı başlık */
border-color: #0b1e1c;
border-color: #e7033f;
}
}
html.skin-theme-clientpref-os #mp-middle .mp-h2 {
background-color: #0b1e1c;
html.skin-theme-clientpref-os #mp-right {
border-color: #0b1e1c;
background-color: #0d1a27;
}
border-color: #082849;
html.skin-theme-clientpref-os #mp-lower {
}
background-color: #e7033f;
border-color: #e7033f;
html.skin-theme-clientpref-os #mp-right .mp-h2 {
}
background-color: #082849; /* mavi başlık */
html.skin-theme-clientpref-os #mp-lower .mp-h2 {
border-color: #082849;
background-color: #e7033f;
}
border-color: #e7033f;
}
html.skin-theme-clientpref-os #mp-middle {
html.skin-theme-clientpref-os #mp-bottom .mp-h2 {
background-color: #270e1a;
background-color: #0b1e1c;
border-color: #882c43;
border-color: #0b1e1c;
}
html.skin-theme-clientpref-os #mp-middle .mp-h2 {
background-color: #0b1e1c; /* yeşil başlık */
border-color: #0b1e1c;
}
html.skin-theme-clientpref-os #mp-lower {
background-color: #130e20;
border-color: #7545ab;
}
html.skin-theme-clientpref-os #mp-lower .mp-h2 {
background-color: #e7033f; /* kırmızı başlık */
border-color: #e7033f;
}
html.skin-theme-clientpref-os #mp-bottom {
border-color: #676767;
}
html.skin-theme-clientpref-os #mp-bottom .mp-h2 {
background-color: #0b1e1c; /* yeşil başlık */
border-color: #0b1e1c;
}
}
}

Revision as of 18:50, 1 February 2026

/* {{pp|small=yes}} */
.mp-box {
	border: 1px solid #aaa;
	padding: 0 0.5em 0.5em;
	margin-top: 4px;
}

.mp-h2,
body.skin-timeless .mp-h2 {
	border: 1px solid #aaa;
	margin: 0.5em 0;
	padding: 0.2em 0.4em;
	font-size: 120%;
	font-weight: bold;
	font-family: inherit;
}

.mp-later {
	font-size: 85%;
	font-weight: normal;
}

#mp-welcomecount {
	text-align: center;
	margin: 0.4em;
}

#mp-welcome {
	font-size: 162%;
	padding: 0.1em;
}

#mp-welcome h1,
#mp-welcome .mw-heading1 {
	font-size: inherit;
	font-family: inherit;
	display: inline;
	border: none;
}

#mp-free {
	font-size: 95%;
}

#articlecount {
	font-size: 85%;
}

#articlecount > ul {
	margin: 0;
	padding: 0;
}

#articlecount > ul > li {
	margin: 0; 
	display: inline;
}

#articlecount > ul > li::after {
	content: " · ";
	font-weight: bold;
}

#articlecount > ul > li:last-child::after {
	content: "";
}

#mp-banner {
	text-align: center;
	padding-top: 0.5em;
}

/* clear fix */
.mp-contains-float::after {
	content: "";
	display: block;
	clear: both;
}

@media (max-width: 875px) {
	#mp-tfp table,
	#mp-tfp tr,
	#mp-tfp td,
	#mp-tfp tbody {
		display: block !important;
		width: 100% !important;
		box-sizing: border-box;
	}

	#mp-tfp tr:first-child td:first-child a.mw-file-description {
		text-align: center;
		display: table;
		margin: 0 auto;
	}
	
	#articlecount > ul > li::after {
		content: "";
		font-weight: normal;
	}
	
	#articlecount > ul > li {
		display: block;
	}
}

@media (min-width: 875px) {
	#mp-upper {
		display: flex;
	}
	
	#mp-left {
		flex: 1 1 55%;
		margin-right: 2px;
	}
	
	#mp-right {
		flex: 1 1 45%;
		margin-left: 2px;
	}
}

@media screen {
	#mp-topbanner {
		background-color: #f9f9f9;
		border-color: #ddd;
	}
	
	#mp-banner {
		background-color: #fffaf5;
		border-color: #f2e0ce;
	}
	
	#mp-left {
		background-color: #f5fffa;
		border-color: #cef2e0;
	}
	
	#mp-left .mp-h2 {
		background-color: #e7033f; /* kırmızı başlık */
		border-color: #e7033f;
	}
	
	#mp-right {
		 background-color: #f5faff;
		 border-color: #cedff2;
	}
	
	#mp-right .mp-h2 {
		background-color: #082849; /* mavi başlık */
		border-color: #082849;
	}
	
	#mp-middle {
		background-color: #fff5fa;
		border-color: #f2cedd;
	}
	
	#mp-middle .mp-h2 {
		background-color: #0b1e1c; /* yeşil başlık */
		border-color: #0b1e1c;
	}
	
	#mp-lower {
		background-color: #faf5ff;
		border-color: #ddcef2;
	}
	
	#mp-lower .mp-h2 {
		background-color: #e7033f; /* kırmızı başlık */
		border-color: #e7033f;
	}
	
	#mp-bottom {
		border-color: #e2e2e2;
	}
	
	#mp-bottom .mp-h2 {
		background-color: #0b1e1c; /* yeşil başlık */
		border-color: #0b1e1c;
	}

	/* night mode */
	html.skin-theme-clientpref-night #mp-topbanner {
		background-color: #171a1d;
		border-color: #676767;
	}
	
	html.skin-theme-clientpref-night #mp-banner {
		background-color: #331a00;
		border-color: #663428;
	}
	
	html.skin-theme-clientpref-night #mp-left {
		background-color: #0b1e1c;
		border-color: #104437;
	}
	
	html.skin-theme-clientpref-night #mp-left .mp-h2 {
		background-color: #e7033f; /* kırmızı başlık */
		border-color: #e7033f;
	}
	
	html.skin-theme-clientpref-night #mp-right {
		 background-color: #0d1a27;
		 border-color: #082849;
	}
	
	html.skin-theme-clientpref-night #mp-right .mp-h2 {
		background-color: #082849; /* mavi başlık */
		border-color: #082849;
	}
	
	html.skin-theme-clientpref-night #mp-middle {
		background-color: #270e1a;
		border-color: #882c43;
	}
	
	html.skin-theme-clientpref-night #mp-middle .mp-h2 {
		background-color: #0b1e1c; /* yeşil başlık */
		border-color: #0b1e1c;
	}
	
	html.skin-theme-clientpref-night #mp-lower {
		background-color: #130e20;
		border-color: #7545ab;
	}
	
	html.skin-theme-clientpref-night #mp-lower .mp-h2 {
		background-color: #e7033f; /* kırmızı başlık */
		border-color: #e7033f;
	}
	
	html.skin-theme-clientpref-night #mp-bottom {
		border-color: #676767;
	}
	
	html.skin-theme-clientpref-night #mp-bottom .mp-h2 {
		background-color: #0b1e1c; /* yeşil başlık */
		border-color: #0b1e1c;
	}
}

/* OS night mode */
@media screen and (prefers-color-scheme: dark) {
	html.skin-theme-clientpref-os #mp-topbanner {
		background-color: #171a1d;
		border-color: #676767;
	}
	
	html.skin-theme-clientpref-os #mp-banner {
		background-color: #331a00;
		border-color: #663428;
	}
	
	html.skin-theme-clientpref-os #mp-left {
		background-color: #0b1e1c;
		border-color: #104437;
	}
	
	html.skin-theme-clientpref-os #mp-left .mp-h2 {
		background-color: #e7033f; /* kırmızı başlık */
		border-color: #e7033f;
	}
	
	html.skin-theme-clientpref-os #mp-right {
		 background-color: #0d1a27;
		 border-color: #082849;
	}
	
	html.skin-theme-clientpref-os #mp-right .mp-h2 {
		background-color: #082849; /* mavi başlık */
		border-color: #082849;
	}
	
	html.skin-theme-clientpref-os #mp-middle {
		background-color: #270e1a;
		border-color: #882c43;
	}
	
	html.skin-theme-clientpref-os #mp-middle .mp-h2 {
		background-color: #0b1e1c; /* yeşil başlık */
		border-color: #0b1e1c;
	}
	
	html.skin-theme-clientpref-os #mp-lower {
		background-color: #130e20;
		border-color: #7545ab;
	}
	
	html.skin-theme-clientpref-os #mp-lower .mp-h2 {
		background-color: #e7033f; /* kırmızı başlık */
		border-color: #e7033f;
	}
	
	html.skin-theme-clientpref-os #mp-bottom {
		border-color: #676767;
	}
	
	html.skin-theme-clientpref-os #mp-bottom .mp-h2 {
		background-color: #0b1e1c; /* yeşil başlık */
		border-color: #0b1e1c;
	}
}